com.holonplatform.core.query

## Interface NumericQueryExpression<N extends Number>

- Type Parameters:
    `N` - Numeric expression type
  All Superinterfaces:
    Expression, QueryExpression<N>, TypedExpression<N>
  All Known Subinterfaces:
    NumericBeanProperty<N>, NumericProperty<N>, NumericProperty.NumericPropertyBuilder<N>, QueryFunction.Avg, QueryFunction.Count, QueryFunction.Sum<T>, TemporalFunction.Day, TemporalFunction.Hour, TemporalFunction.Month, TemporalFunction.Year

      public interface NumericQueryExpression<N extends Number>
      extends QueryExpression<N>

  A `QueryExpression` of `Number` type.
  Since:
    5.1.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.Expression

      `Expression.ExpressionResolverFunction<E extends Expression,R extends Expression>, Expression.InvalidExpressionException`

  - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default QueryFunction.Avg` | `avg()` Creates an aggregation function which returns the average value of expression.
    `default QueryFunction.Sum<N>` | `sum()` Creates an aggregation function which returns the sum of the expression values.

    - ### Methods inherited from interface com.holonplatform.core.query.QueryExpression

      `between, count, eq, eq, goe, goe, gt, gt, in, in, in, isNotNull, isNull, loe, loe, lt, lt, max, min, neq, neq, nin, nin, nin`

    - ### Methods inherited from interface com.holonplatform.core.TypedExpression

      `getTemporalType, getType, isCollectionExpression, isConverterExpression`

    - ### Methods inherited from interface com.holonplatform.core.Expression

      `validate`

- - ### Method Detail

    - #### avg

          default QueryFunction.Avg avg()

      Creates an aggregation function which returns the average value of expression.

      The returned function is a `QueryFunction.PropertyQueryFunction`, to allow inclusion in property sets and handling within a `PropertyBox`.

      Returns:
        A new `QueryFunction.Avg` aggregation function expression

    - #### sum

          default QueryFunction.Sum<N> sum()

      Creates an aggregation function which returns the sum of the expression values.

      The returned function is a `QueryFunction.PropertyQueryFunction`, to allow inclusion in property sets and handling within a `PropertyBox`.

      Returns:
        A new `QueryFunction.Sum` aggregation function expression

Copyright © 2019 The Holon Platform. All rights reserved.